package com.jeesharp.business.modules.member.service;

import com.jeesharp.business.modules.member.entity.AppIapOrder;
import com.jeesharp.business.modules.member.vo.AppIapOrderQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

/**
 * IAP 业务订单领域服务
 *
 * @author jeesharp
 */
public interface AppIapOrderService extends BaseInterface<AppIapOrder, AppIapOrderQueryVO> {

    AppIapOrder getByOrderNo(String orderNo);

    AppIapOrder getByPurchaseToken(String purchaseToken);

    AppIapOrder getByHuaweiPurchaseOrderId(String huaweiPurchaseOrderId);
}
